
%define cairo_version        1.12.18-1
%define freetype2_version    2.7-1
%define fontconfig_version   2.12.1-1
%define gd_version           2.0.35-5
%define glib2_version        2.34.3-1
%define libiconv_version     1.14-3
%define libjpeg_version      9b-2
%define libpng_version       1.6.26-1
%define libXpm_version       3.5.11-1
%define lua_version          5.3.3-1
%define pango_version        1.24.5-1
%define readline_version     7.0-2
%define zlib_version         1.2.3-7

Summary: A program for plotting mathematical expressions and data.
Name: gnuplot
Version: 5.0.1
Release: 1
License: Redistributable, with restrictions
Group: Applications/Engineering
URL: http://www.gnuplot.info/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-4.6.7-lua_checkint.patch
Patch2: %{name}-4.6.7-plot-sigsegv.patch
Patch3: %{name}-4.6.7-fonts.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: texinfo

BuildRequires: cairo-devel >= %{cairo_version}
BuildRequires: freetype2-devel >= %{freetype2_version}
BuildRequires: fontconfig-devel >= %{fontconfig_version}
BuildRequires: gd-devel >= %{gd_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: libiconv >= %{libiconv_version}
BuildRequires: libjpeg-devel >= %{libjpeg_version}
BuildRequires: libpng-devel >= %{libpng_version}
BuildRequires: libXpm-devel >= %{libXpm_version}
BuildRequires: lua-devel >= %{lua_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: readline-devel >= %{readline_version}
BuildRequires: zlib-devel >= %{zlib_version}

Requires: cairo >= %{cairo_version}
Requires: freetype2 >= %{freetype2_version}
Requires: fontconfig >= %{fontconfig_version}
Requires: gd >= %{gd_version}
Requires: glib2 >= %{glib2_version}
Requires: libiconv >= %{libiconv_version}
Requires: libjpeg >= %{libjpeg_version}
Requires: libpng >= %{libpng_version}
Requires: libXpm >= %{libXpm_version}
Requires: lua >= %{lua_version}
Requires: pango >= %{pango_version}
Requires: readline >= %{readline_version}
Requires: zlib >= %{zlib_version}

%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

Install gnuplot if you need a graphics package for scientific data
representation.


%prep
%setup -q
%patch0
%patch1
%patch2
%patch3


%build
export CC="cc_r -qcpluscmt -D_LARGE_FILES -DLUA_C89_NUMBERS"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-readline=gnu \
    --with-gd \
    --with-lua \
    --with-cairo \
    --with-x \
    --with-x-app-defaultdir=/etc/X11/applnk/Graphics \
    --enable-history-file \
    --enable-stats \
    --enable-backwards-compatibility
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# move the 
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
mv ${RPM_BUILD_ROOT}%{_datadir}/%{name}/5.0/app-defaults/* ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
rmdir ${RPM_BUILD_ROOT}%{_datadir}/%{name}/5.0/app-defaults

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc BUGS ChangeLog Copyright FAQ.pdf NEWS README demo
%{_bindir}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/5.0
%{_mandir}/man1/*
/etc/X11/applnk/Graphics/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/5.0
/usr/bin/*


%changelog
* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 5.0.1-1
- updated to version 5.0.1

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 5.0.0-1
- updated to version 5.0.0

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 4.6.7-1
- updated to version 4.6.7 and compiled against latest versions

* Mon Oct 13 2014 Michael Perzl <michael@perzl.org> - 4.6.6-1
- updated to version 4.6.6

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 4.6.5-1
- updated to version 4.6.5

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 4.6.4-1
- updated to version 4.6.4

* Sun Jun 02 2013 Michael Perzl <michael@perzl.org> - 4.6.3-1
- updated to version 4.6.3

* Tue Mar 26 2013 Michael Perzl <michael@perzl.org> - 4.6.2-1
- updated to version 4.6.2

* Wed Oct 10 2012 Michael Perzl <michael@perzl.org> - 4.6.1-1
- updated to version 4.6.1

* Mon Jul 30 2012 Michael Perzl <michael@perzl.org> - 4.6.0-2
- changed dependency on lua >= 5.1.5 because of updated lua package

* Wed Mar 21 2012 Michael Perzl <michael@perzl.org> - 4.6.0-1
- updated to version 4.6.0

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 4.4.4-1
- updated to version 4.4.4

* Mon Mar 14 2011 Michael Perzl <michael@perzl.org> - 4.4.3-1
- updated to version 4.4.3

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 4.4.2-1
- updated to version 4.4.2

* Tue Apr 27 2010 Michael Perzl <michael@perzl.org> - 4.4.0-1
- updated to version 4.4.0

* Mon Apr 26 2010 Michael Perzl <michael@perzl.org> - 4.2.6-2
- fixed crash caused by wrong font setup in GD on AIX
- fixed the AIX OS release information

* Tue Nov 17 2008 Michael Perzl <michael@perzl.org> - 4.2.6-1
- updated to version 4.2.6

* Sat Nov 08 2008 Michael Perzl <michael@perzl.org> - 4.2.4-1
- updated to version 4.2.4

* Tue Apr 22 2008 Michael Perzl <michael@perzl.org> - 4.2.3-2
- some minor spec file cleanups

* Thu Mar 13 2008 Michael Perzl <michael@perzl.org> - 4.2.3-1
- updated to version 4.2.3

* Fri Sep 28 2007 Michael Perzl <michael@perzl.org> - 4.2.2-1
- first version for AIX V5.1 and higher
